Loading...
Searching...
No Matches
rectangle.h File Reference
`#include "arc/graphics/color.h"`
`#include "arc/graphics/renderer.h"`
`#include "arc/math/rectangle.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Functions

void | ARC_Rect_Render (ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color)
void | ARC_Rect_RenderFill (ARC_Rect *rect, ARC_Renderer *renderer, ARC_Color *color)
void | ARC_FRect_Render (ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color)
void | ARC_FRect_RenderFill (ARC_FRect *rect, ARC_Renderer *renderer, ARC_Color *color)

## Function Documentation

## ARC_FRect_Render()

void ARC_FRect_Render | ( | ARC_FRect * | rect,
|  | ARC_Renderer * | renderer,
|  | ARC_Color * | color )

## ARC_FRect_RenderFill()

void ARC_FRect_RenderFill | ( | ARC_FRect * | rect,
|  | ARC_Renderer * | renderer,
|  | ARC_Color * | color )

## ARC_Rect_Render()

void ARC_Rect_Render | ( | ARC_Rect * | rect,
|  | ARC_Renderer * | renderer,
|  | ARC_Color * | color )

## ARC_Rect_RenderFill()

void ARC_Rect_RenderFill | ( | ARC_Rect * | rect,
|  | ARC_Renderer * | renderer,
|  | ARC_Color * | color )